---
external help file: ModuleRoot-help.xml
Module Name: DroneHelper
online version:
schema: 2.0.0
---

# Update-Changelog

## SYNOPSIS
Updates the changelog file with recent commits

## SYNTAX

```
Update-Changelog [-NewVersion] <String> [-SkipCleanup] [<CommonParameters>]
```

## DESCRIPTION
This helper function is used to insert recent changes for an upcoming release.

## EXAMPLES

### EXAMPLE 1
```
Import-Module -Name DroneHelper; Update-Changelog -NewVersion '0.0.1-dev5'
```

## PARAMETERS

### -NewVersion
Provide a valid semver based version tag for the upcoming release like:

- \`v0.0.1-dev1\`
- \`v1.0.0\`

```yaml
Type: String
Parameter Sets: (All)
Aliases:

Required: True
Position: 1
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -SkipCleanup
You can skip the tag update and additional test.

```yaml
Type: SwitchParameter
Parameter Sets: (All)
Aliases:

Required: False
Position: Named
Default value: False
Accept pipeline input: False
Accept wildcard characters: False
```

### CommonParameters
This cmdlet supports the common parameters: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutVariable, -OutBuffer, -PipelineVariable, -Verbose, -WarningAction, and -WarningVariable. For more information, see [about_CommonParameters](http://go.microsoft.com/fwlink/?LinkID=113216).

## INPUTS

### [None] No pipeline input.
## OUTPUTS

### [None] no pipeline putput.
## NOTES

## RELATED LINKS
